Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer
Class FileTransfer

    java.lang.Object
      org.jivesoftware.openfire.filetransfer.FileTransfer

All Implemented Interfaces:
  Serializable, Cacheable

    public class FileTransfer

extends Object
implements Cacheable, Serializable

Contains all of the meta information associated with a file transfer.

Author:
  Alexander Wenckus
See Also:
  Serialized Form

Constructor Summary
`FileTransfer(String initiator, String target, String sessionID, String fileName, long fileSize, String mimeType)`

Method Summary
`int` | `getCachedSize()` Returns the approximate size of the Object in bytes.
`String` | `getFileName()`
`long` | `getFileSize()`
`String` | `getInitiator()`
`String` | `getMimeType()`
`FileTransferProgress` | `getProgress()`
`String` | `getSessionID()`
`String` | `getTarget()`
`void` | `setFileName(String fileName)`
`void` | `setFileSize(long fileSize)`
`void` | `setInitiator(String initiator)`
`void` | `setMimeType(String mimeType)`
`void` | `setProgress(FileTransferProgress progress)`
`void` | `setSessionID(String sessionID)`
`void` | `setTarget(String target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTransfer

    public FileTransfer(String initiator,
                        String target,
                        String sessionID,
                        String fileName,
                        long fileSize,
                        String mimeType)

Method Detail

### getSessionID

    public String getSessionID()

### setSessionID

    public void setSessionID(String sessionID)

### getInitiator

    public String getInitiator()

### setInitiator

    public void setInitiator(String initiator)

### getTarget

    public String getTarget()

### setTarget

    public void setTarget(String target)

### getFileName

    public String getFileName()

### setFileName

    public void setFileName(String fileName)

### getFileSize

    public long getFileSize()

### setFileSize

    public void setFileSize(long fileSize)

### getMimeType

    public String getMimeType()

### setMimeType

    public void setMimeType(String mimeType)

### getProgress

    public FileTransferProgress getProgress()

### setProgress

    public void setProgress(FileTransferProgress progress)

### getCachedSize

    public int getCachedSize()

  Description copied from interface: `Cacheable`
  Returns the approximate size of the Object in bytes. The size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

  Specified by:
    `getCachedSize` in interface `Cacheable`
  Returns:
    the size of the Object in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.